<?php
declare(strict_types=1);

namespace Flat101\EnhancedEcommerce\Factory;

use Flat101\EnhancedEcommerce\Model\Handler\Click\ClickImpressionHandlerInterface;

interface ClickImpressionHandlerFactoryInterface
{
    public function create(string $impressionName, array $data = []): ?ClickImpressionHandlerInterface;
}
